Subject: Re: bug#78807: 31.0.50; Wave underline set wrongly

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Jun 2025 14:02:22 +0300

> Date: Sun, 22 Jun 2025 18:13:01 +0200
> From: Ergus <[email-masked]>
> Cc: [email-masked]
> 
> >If tmux doesn't support this (again, please ask the tmux developers),
> >then we need a way to detect tmux and avoid the above.
> 
> But I think that tmux is working fine, see bellow.

I meant if tmux doesn't support the kitty escape sequences we assume
should work.  And if it doesn't, we need a way to detect that the
terminal is displaying on tmux.  Does anyone know how to do that?

> So, maybe the issue is somewhere else? Why is emacs reporting wave
> support?

Because, according to my reading of the code I show above, we assume
that every terminal supports wave: if Smulx is not present, we assume
the kitty escape sequence will work.